Debian Bug report logs - #597328
ddd: Machine Code Window does not work

version graph

Package: ddd; Maintainer for ddd is Daniel Schepler <schepler@debian.org>; Source for ddd is src:ddd.

Reported by: Paolo Cancedda <paolo.cancedda@gmail.com>

Date: Sat, 18 Sep 2010 17:33:01 UTC

Severity: normal

Tags: patch

Found in version 1:3.3.11-1ubuntu2

Fixed in version ddd/1:3.3.12-2.1

Done: Wookey <wookey@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Schepler <schepler@debian.org>:
Bug#597328; Package ddd. (Sat, 18 Sep 2010 17:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paolo Cancedda <paolo.cancedda@gmail.com>:
New Bug report received and forwarded. Copy sent to Daniel Schepler <schepler@debian.org>. (Sat, 18 Sep 2010 17:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Paolo Cancedda <paolo.cancedda@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ddd: Machine Code Window does not work
Date: Sat, 18 Sep 2010 19:21:55 +0200
[Message part 1 (text/plain, inline)]
Package: ddd
Version: 1:3.3.11-1ubuntu2
Severity: normal
Tags: patch

Using ddd with gdb, Machine Code Window (View -> Machine Code Window) does not show disassembled code; instead, you can see the message "A syntax error in expression, near `<hex_address>'.

The bug is caused by ddd using the old syntax for gdb command "disassemble", which used to require blank space as a separator between starting and ending address. The new syntax (introduced by a commit from Paul Pluzhnikov on november 23rd, 2009) requires a comma between the two addresses.
This happens on Ubuntu Lucid, with ddd version 1:3.3.11-1ubuntu2 and gdb version 7.1-1ubuntu2, but Debian package ddd 1:3.3.12-2 still presents the issue.
This trivial patch, along with a change in gdb dependency version, restores the correct behaviour:

--- a/ddd/GDBAgent.C
+++ b/ddd/GDBAgent.C
@@ -3200,7 +3200,7 @@
     {
         string end_( end );
 	normalize_address(end_);
-	cmd += ' ';
+	cmd += ',';
 	cmd += end_;
     }
     return cmd;


This bug was originally reported on launchpad: https://bugs.launchpad.net/ubuntu/+source/ddd/+bug/594883




-- System Information:
Debian Release: squeeze/sid
  APT prefers lucid-updates
  APT policy: (500, 'lucid-updates'), (500, 'lucid-security'), (500, 'lucid')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-24-generic (SMP w/2 CPU cores)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages ddd depends on:
ii  dpkg               1.15.5.6ubuntu4.1     Debian package management system
ii  install-info       4.13a.dfsg.1-5ubuntu1 Manage installed documentation in 
ii  lesstif2           1:0.95.2-1            OSF/Motif 2.1 implementation relea
ii  libc6              2.11.1-0ubuntu7.2     Embedded GNU C Library: Shared lib
ii  libgcc1            1:4.4.3-4ubuntu5      GCC support library
ii  libice6            2:1.0.6-1             X11 Inter-Client Exchange library
ii  libncurses5        5.7+20090803-2ubuntu3 shared libraries for terminal hand
ii  libsm6             2:1.1.1-1             X11 Session Management library
ii  libstdc++6         4.4.3-4ubuntu5        The GNU Standard C++ Library v3
ii  libx11-6           2:1.3.2-1ubuntu3      X11 client-side library
ii  libxaw7            2:1.0.7-1             X11 Athena Widget library
ii  libxext6           2:1.1.1-2             X11 miscellaneous extension librar
ii  libxmu6            2:1.0.5-1             X11 miscellaneous utility library
ii  libxp6             1:1.0.0.xsf1-2build1  X Printing Extension (Xprint) clie
ii  libxpm4            1:3.5.8-1             X11 pixmap library
ii  libxt6             1:1.0.7-1             X11 toolkit intrinsics library

Versions of packages ddd recommends:
ii  gdb                         7.1-1ubuntu2 The GNU Debugger

Versions of packages ddd suggests:
ii  cups-bsd [lpr]     1.4.3-1ubuntu1.2      Common UNIX Printing System(tm) - 
pn  ddd-doc            <none>                (no description available)
ii  glibc-doc          2.11.1-0ubuntu7.2     Embedded GNU C Library: Documentat
ii  gnuplot            4.2.6-1               A command-line driven interactive 
ii  info               4.13a.dfsg.1-5ubuntu1 Standalone GNU Info documentation 
ii  openssh-client [rs 1:5.3p1-3ubuntu4      secure shell (SSH) client, for sec
ii  perl               5.10.1-8ubuntu2       Larry Wall's Practical Extraction 
ii  pydb               1.26-1                An enhanced Python command-line de
pn  xbase-clients      <none>                (no description available)
ii  xterm              256-1ubuntu1          X terminal emulator

-- no debconf information
[gdb-disassemble-cmd.diff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Schepler <schepler@debian.org>:
Bug#597328; Package ddd. (Mon, 11 Jul 2011 16:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
Extra info received and forwarded to list. Copy sent to Daniel Schepler <schepler@debian.org>. (Mon, 11 Jul 2011 16:21:03 GMT) Full text and rfc822 format available.

Message #10 received at 597328@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: 597328@bugs.debian.org
Subject: re: ddd: Machine Code Window does not work
Date: Mon, 11 Jul 2011 17:19:50 +0100
As this patch has been hanging around for some time now, gdb 7.2
is in unstable and having a broken machine code view winodw is
annoying, I've prepared an NMU for this and uploaded it to delayed-10. 

The only controversial bit is changing the recommended version of gdb
to one that requires the new syntax. 

Feel free to do your own upload in the meantime if that doesn't suit.

Here's the diff:

diff -urN ddd-3.3.12/debian/changelog ddd-3.3.12.nmu/debian/changelog
--- ddd-3.3.12/debian/changelog	2010-09-11 19:28:06.000000000 +0100
+++ ddd-3.3.12.nmu/debian/changelog	2011-07-08 18:23:53.371733002 +0100
@@ -1,3 +1,10 @@
+ddd (1:3.3.12-2.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Fix machine code window view (Closes: #597328)
+
+ -- Wookey <wookey@debian.org>  Fri, 08 Jul 2011 17:29:38 +0100
+
 ddd (1:3.3.12-2) unstable; urgency=low
 
   * Drop versioned lpr Build-Depends and instead force LPR=lpr in the
diff -urN ddd-3.3.12/debian/control ddd-3.3.12.nmu/debian/control
--- ddd-3.3.12/debian/control	2010-09-11 19:11:15.000000000 +0100
+++ ddd-3.3.12.nmu/debian/control	2011-07-08 17:35:07.275733001 +0100
@@ -9,7 +9,7 @@
 Package: ddd
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: gdb (>= 5.0)
+Recommends: gdb (>= 7.1)
 Suggests: ddd-doc, perl (>= 5.8.0), pydb, info, glibc-doc, xterm, x11-utils, gnuplot, rsh-client, cups-bsd | lpr
 Conflicts: ddd-smotif, ddd-dmotif
 Replaces: ddd-smotif, ddd-dmotif
diff -urN ddd-3.3.12/debian/patches/machine_code_window_fix.diff ddd-3.3.12.nmu/debian/patches/machine_code_window_fix.diff
--- ddd-3.3.12/debian/patches/machine_code_window_fix.diff	1970-01-01 01:00:00.000000000 +0100
+++ ddd-3.3.12.nmu/debian/patches/machine_code_window_fix.diff	2011-07-08 17:29:00.479733002 +0100
@@ -0,0 +1,13 @@
+Index: ddd-3.3.12/ddd/GDBAgent.C
+===================================================================
+--- ddd-3.3.12.orig/ddd/GDBAgent.C	2011-07-08 17:28:14.191733002 +0100
++++ ddd-3.3.12/ddd/GDBAgent.C	2011-07-08 17:28:39.575733001 +0100
+@@ -3200,7 +3200,7 @@
+     {
+         string end_( end );
+ 	normalize_address(end_);
+-	cmd += ' ';
++	cmd += ',';
+ 	cmd += end_;
+     }
+     return cmd;
diff -urN ddd-3.3.12/debian/patches/series ddd-3.3.12.nmu/debian/patches/series
--- ddd-3.3.12/debian/patches/series	2010-09-11 19:24:42.000000000 +0100
+++ ddd-3.3.12.nmu/debian/patches/series	2011-07-08 17:27:55.175733001 +0100
@@ -4,3 +4,4 @@
 004_userinfo.diff
 005_gcc44_fix.diff
 006_unumlaut_fix.diff
+machine_code_window_fix.diff


Wookey
-- 
Principal hats:  Linaro, Emdebian, Wookware, Balloonboard, ARM
http://wookware.org/




Reply sent to Wookey <wookey@debian.org>:
You have taken responsibility. (Mon, 18 Jul 2011 18:21:04 GMT) Full text and rfc822 format available.

Notification sent to Paolo Cancedda <paolo.cancedda@gmail.com>:
Bug acknowledged by developer. (Mon, 18 Jul 2011 18:21:04 GMT) Full text and rfc822 format available.

Message #15 received at 597328-close@bugs.debian.org (full text, mbox):

From: Wookey <wookey@debian.org>
To: 597328-close@bugs.debian.org
Subject: Bug#597328: fixed in ddd 1:3.3.12-2.1
Date: Mon, 18 Jul 2011 18:17:14 +0000
Source: ddd
Source-Version: 1:3.3.12-2.1

We believe that the bug you reported is fixed in the latest version of
ddd, which is due to be installed in the Debian FTP archive:

ddd-doc_3.3.12-2.1_all.deb
  to main/d/ddd/ddd-doc_3.3.12-2.1_all.deb
ddd_3.3.12-2.1.debian.tar.gz
  to main/d/ddd/ddd_3.3.12-2.1.debian.tar.gz
ddd_3.3.12-2.1.dsc
  to main/d/ddd/ddd_3.3.12-2.1.dsc
ddd_3.3.12-2.1_amd64.deb
  to main/d/ddd/ddd_3.3.12-2.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 597328@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Wookey <wookey@debian.org> (supplier of updated ddd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 08 Jul 2011 17:29:38 +0100
Source: ddd
Binary: ddd ddd-doc
Architecture: source all amd64
Version: 1:3.3.12-2.1
Distribution: unstable
Urgency: low
Maintainer: Daniel Schepler <schepler@debian.org>
Changed-By: Wookey <wookey@debian.org>
Description: 
 ddd        - The Data Display Debugger, a graphical debugger frontend
 ddd-doc    - Additional documentation for the Data Display Debugger
Closes: 597328
Changes: 
 ddd (1:3.3.12-2.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix machine code window view (Closes: #597328)
Checksums-Sha1: 
 b5b6ff782665f9094db024f5dd790c9effe1136c 1147 ddd_3.3.12-2.1.dsc
 940d81fd21757b0798edcd7792302095a80425d7 23787 ddd_3.3.12-2.1.debian.tar.gz
 5e2625545b9c6306eb7144e8ee0ea755fb9d04a7 1876426 ddd-doc_3.3.12-2.1_all.deb
 2a715940c462b628aa832bca8a05b3d05695754b 1447184 ddd_3.3.12-2.1_amd64.deb
Checksums-Sha256: 
 10688b2ead845acf887fe0607485fcb122a58e4133f8f4c9f0f4824233cc8f18 1147 ddd_3.3.12-2.1.dsc
 34cb16281fc6cbfa7057555bcfe9c9456bb8466471aae1d8eb71614b1a2987e2 23787 ddd_3.3.12-2.1.debian.tar.gz
 1676c1f3c51e1279bc29a7a3aaf0df343bd0ddb9a86a381b90428e680fd3bc4c 1876426 ddd-doc_3.3.12-2.1_all.deb
 870b58286c0da4c870386f0ab960460ad0096b717fd0f930f6c7f15547ebfb5e 1447184 ddd_3.3.12-2.1_amd64.deb
Files: 
 724a74c9bd864c6461faac1edc8f744c 1147 devel optional ddd_3.3.12-2.1.dsc
 cba6909eb604c21e1f208907824b9786 23787 devel optional ddd_3.3.12-2.1.debian.tar.gz
 f80ae1513cf9f1325fbd978782419015 1876426 doc optional ddd-doc_3.3.12-2.1_all.deb
 4a29d7e8c290cfc91d84be1162676289 1447184 devel optional ddd_3.3.12-2.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFOFz/aIWclcBdP7jURAr7XAJ9Csg3bAlmpm5hKLFGx50Tbu/okjACgkrIl
xYJA5udQFQhulGWQzMyG0SA=
=vbRr
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 16 Aug 2011 07:32:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 05:52:36 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.